package com.ningdatech.pmapi.user.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.pmapi.user.entity.UserInfo;
import com.ningdatech.pmapi.user.mapper.NdUserInfoMapper;
import com.ningdatech.pmapi.user.service.IUserInfoService;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author Lierbao
 * @since 2023-02-01
 */
@Service
@RequiredArgsConstructor
public class UserInfoServiceImpl extends ServiceImpl<NdUserInfoMapper, UserInfo> implements IUserInfoService {
    private final NdUserInfoMapper userInfoMapper;

    @Override
    public UserInfo getUserInfoByPhoneNo(String phoneNo) {
        if (StringUtils.isEmpty(phoneNo)) {
            return null;
        }
        UserInfo userInfo = userInfoMapper
                .selectOne(Wrappers.lambdaQuery(UserInfo.class)
                        .eq(UserInfo::getMobile, phoneNo));
        return userInfo;
    }
}
